### Method

# FwupdPlugin Device set_backend_id

since: 1.5.8

#### Declaration [src]

    void
    fu_device_set_backend_id (
      FuDevice* self,
      const gchar* backend_id
    )

#### Description [src]

Sets the backend ID on the device. This is designed to disambiguate devices with the same physical ID. This is typically a Linux sysfs path or USB platform ID.

Available since: 1.5.8

Sets property | `FwupdPlugin.Device:backend-id`

#### Parameters

`backend_id`

  Type: `const gchar*`

  A string, e.g. `dev2`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.